[build-system]
requires = ["setuptools"]
build-backend = "setuptools.build_meta"

[project]
name = "hcpy"
version = "0.1.5"
description = "HC to MQTT bridge"
requires-python = ">=3.7"
dependencies = [
    "bs4",
    "requests",
    "pycryptodome",
    "websocket-client",
    "sslpsk",
    "paho-mqtt==1.6.1",
    "lxml",
    "click",
    "click-config-file"
]

[project.scripts]
hc-login = "hcpy:hc_login"
hc2mqtt = "hcpy.hc2mqtt:hc2mqtt"